
import
  preserves

type
  XsltItems* = seq[XsltItem]
  Pulse* {.preservesRecord: "pulse".} = object
    `periodSec`*: float
    `proxy`* {.preservesEmbedded.}: Value

  XsltItem* = string
  XmlTranslation* {.preservesRecord: "xml-translation".} = object
    `xml`*: string
    `pr`*: Value

  FileSystemUsage* {.preservesRecord: "file-system-usage".} = object
    `path`*: string
    `size`*: BiggestInt

  XsltTransform* {.preservesRecord: "xslt-transform".} = object
    `stylesheet`*: string
    `input`*: string
    `output`*: Value

proc `$`*(x: XsltItems | Pulse | XsltItem | XmlTranslation | FileSystemUsage |
    XsltTransform): string =
  `$`(toPreserves(x))

proc encode*(x: XsltItems | Pulse | XsltItem | XmlTranslation | FileSystemUsage |
    XsltTransform): seq[byte] =
  encode(toPreserves(x))
